Delete a bank account | Moov Documentation
Delete a bank account
Discontinue using a specified bank account linked to a Moov account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/bank-accounts.write scope.
DELETE
/accounts/{accountID}/bank-accounts/{bankAccountID}
Ask
curl -X DELETE "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var bankAccountID string
mc.DeleteBankAccount(ctx, accountID, bankAccountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.bankAccounts.disable({
accountID: "6b6ade5f-0b20-493c-b483-cf1f670a1055",
bankAccountID: "b9295fc2-f5fd-4767-894f-5ca45abfd3fc",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov"]/MoovPhp;
use Moov"]/MoovPhp.Models.Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->bankAccounts->disable(
accountID: '6b6ade5f-0b20-493c-b483-cf1f670a1055',
bankAccountID: 'b9295fc2-f5fd-4767-894f-5ca45abfd3fc'
);
if ($response->statusCode === 200) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DisableBankAccountResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
DisableBankAccountResponse res = sdk.bankAccounts().disable()
.accountID("6b6ade5f-0b20-493c-b483-cf1f670a1055")
.bankAccountID("b9295fc2-f5fd-4767-894f-5ca45abfd3fc")
.call();
// handle response
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.bank_accounts.disable(account_id="6b6ade5f-0b20-493c-b483-cf1f670a1055", bank_account_id="b9295fc2-f5fd-4767-894f-5ca45abfd3fc")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.bank_accounts.disable(account_id: '6b6ade5f-0b20-493c-b483-cf1f670a1055', bank_account_id: 'b9295fc2-f5fd-4767-894f-5ca45abfd3fc')
if res.status_code == 200
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.BankAccounts.DisableAsync(
accountID: "6b6ade5f-0b20-493c-b483-cf1f670a1055",
bankAccountID: "b9295fc2-f5fd-4767-894f-5ca45abfd3fc"
);
// handle response
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
Example
{
"error": "string"
}
The request contained missing or expired authentication.
The user is not authorized to make the request.
The requested resource was not found.
The request conflicted with the current state of the target resource.
Request was refused due to rate limiting.
The request failed due to an unexpected error.
The request failed because a downstream service failed to respond.
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00